"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file ".zuul.d/nodejs-jobs.yaml" between
horizon-22.1.0.tar.gz and horizon-23.0.0.tar.gz

About: OpenStack Horizon (Optional Service: Dashboard) provides a web-based self-service portal to interact with underlying OpenStack services, such as launching an instance, assigning IP addresses and configuring access controls.
The "Zed" series (latest release).

nodejs-jobs.yaml  (horizon-22.1.0):nodejs-jobs.yaml  (horizon-23.0.0)
- job: - job:
name: horizon-nodejs14-run-lint name: horizon-nodejs16-run-lint
parent: nodejs-run-lint parent: nodejs-run-lint
description: | description: |
Run lint using Node 14 for horizon plugins. Run lint using Node 16 for horizon plugins.
vars: vars:
node_version: 14 node_version: 16
tox_constraints_file: "{{ ansible_user_dir }}/{{ zuul.projects['opendev.or g/openstack/requirements'].src_dir }}/upper-constraints.txt" tox_constraints_file: "{{ ansible_user_dir }}/{{ zuul.projects['opendev.or g/openstack/requirements'].src_dir }}/upper-constraints.txt"
nodeset: ubuntu-focal nodeset: ubuntu-focal
pre-run: playbooks/horizon-nodejs/pre.yaml pre-run: playbooks/horizon-nodejs/pre.yaml
required-projects: required-projects:
- openstack/horizon - openstack/horizon
- openstack/requirements - openstack/requirements
- job: - job:
name: horizon-nodejs14-run-test name: horizon-nodejs16-run-test
parent: nodejs-run-test-browser parent: nodejs-run-test-browser
description: | description: |
Run test using Node 14 for horizon plugins. Run test using Node 16 for horizon plugins.
vars: vars:
node_version: 14 node_version: 16
tox_constraints_file: "{{ ansible_user_dir }}/{{ zuul.projects['opendev.or g/openstack/requirements'].src_dir }}/upper-constraints.txt" tox_constraints_file: "{{ ansible_user_dir }}/{{ zuul.projects['opendev.or g/openstack/requirements'].src_dir }}/upper-constraints.txt"
pre-run: playbooks/horizon-nodejs/pre.yaml pre-run: playbooks/horizon-nodejs/pre.yaml
nodeset: ubuntu-focal nodeset: ubuntu-focal
required-projects: required-projects:
- openstack/horizon - openstack/horizon
- openstack/requirements - openstack/requirements
- project-template: - project-template:
name: horizon-nodejs14-jobs name: horizon-nodejs-jobs
description: | description: |
Run lint and test jobs using Node 14 (LTS) for horizon plugins. This project template is defined to run lint and test jobs using
Node LTS version (i.e. 16 now) for horizon plugins. horizon plugins
can use this template to run nodejs jobs. So if we want to update
nodejs version in horizon plugins we can update this template to use
the job with the latest node version and not many changes are required
in the horizon plugins side.
check: check:
jobs: jobs:
- horizon-nodejs14-run-lint - horizon-nodejs16-run-lint
- horizon-nodejs14-run-test - horizon-nodejs16-run-test
gate: gate:
jobs: jobs:
- horizon-nodejs14-run-lint - horizon-nodejs16-run-lint
- horizon-nodejs14-run-test - horizon-nodejs16-run-test
- project-template:
name: horizon-nodejs14-jobs-nonvoting
description: |
Run lint and test jobs using Node 14 (LTS) for horizon plugins.
check:
jobs:
- horizon-nodejs14-run-lint:
voting: false
- horizon-nodejs14-run-test:
voting: false
 End of changes. 10 change blocks. 
10 lines changed or deleted 15 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)